import type { _INDateComponentsRange } from "./INDateComponentsRange.js";
import type { _INIntent } from "./INIntent.js";
import type { _CLPlacemark } from "../CoreLocation/CLPlacemark.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { INConditionalOperator } from "./INConditionalOperator.js";
import type { INPhotoAttributeOptions } from "./INPhotoAttributeOptions.js";
export declare class _INStartPhotoPlaybackIntent extends _INIntent {
    static alloc(): _INStartPhotoPlaybackIntent;
    static new(): _INStartPhotoPlaybackIntent;
    init(): _INStartPhotoPlaybackIntent;
    initWithDateCreated$locationCreated$albumName$searchTerms$includedAttributes$excludedAttributes$peopleInPhoto$(dateCreated: _INDateComponentsRange | null, locationCreated: _CLPlacemark | null, albumName: _NSString | null, searchTerms: _NSArray | null, includedAttributes: INPhotoAttributeOptions, excludedAttributes: INPhotoAttributeOptions, peopleInPhoto: _NSArray | null): _INStartPhotoPlaybackIntent;
    /** Include photos created in the specified date interval. */
    dateCreated(): _INDateComponentsRange | null;
    /** Include photos taken at the specified location. */
    locationCreated(): _CLPlacemark | null;
    /** Include photos contained in albums matching this name. */
    albumName(): _NSString | null;
    /**
     * Include photos with keywords, names, descriptions, etc. that match these search terms.
     */
    searchTerms(): _NSArray | null;
    /** Describes how to combine the contents of the searchTerm array. */
    searchTermsOperator(): INConditionalOperator;
    /** When specified, only match photos of the given types. */
    includedAttributes(): INPhotoAttributeOptions;
    /** When specified, do not match photos of the given types. */
    excludedAttributes(): INPhotoAttributeOptions;
    /**
     * INPerson objects that should be present in the included photos, dependent on the peopleInPhotoOperator.
     */
    peopleInPhoto(): _NSArray | null;
    /** Describes how to combine the contents of the peopleInPhoto array. */
    peopleInPhotoOperator(): INConditionalOperator;
}
